跳轉到主要內容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
liquiditySnapshots
代幣 - 流動性快照
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/liquiditySnapshots \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/liquiditySnapshots"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/liquiditySnapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "calculatedAt": 1705312800000,
      "maxLiquidityInNative": "5000.123",
      "maxLiquidityInUsd": "1000000.45",
      "maxLiquidityPoolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "poolCount": 5,
      "priceNative": "0.005",
      "priceUsd": "1.0001",
      "snapshotTime": 1705312800000,
      "totalLiquidityInNative": "10000.246",
      "totalLiquidityInUsd": "2000000.90"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0=",
  "total": 564094
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

代幣地址

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
time
integer<int64>

流動性快照查詢的目標 Unix 時間戳

回應

200 - application/json

取得流動性快照

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="

total
integer<int64> | null

Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).

範例:

564094